Bug 1273609 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(int)(): plasmashell killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(int)(): plasmashell kill...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4bd37b49d1a031b15841898b97f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 15:11 EDT by Fredy Neeser
Modified: 2016-09-25 18:21 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (70.29 KB, text/plain)
2015-10-20 15:11 EDT, Fredy Neeser
no flags Details
File: cgroup (191 bytes, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details
File: core_backtrace (9.81 KB, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details
File: dso_list (26.34 KB, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details
File: environ (2.09 KB, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details
File: maps (135.19 KB, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details
File: mountinfo (3.68 KB, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details
File: open_fds (177 bytes, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details
File: var_log_messages (318 bytes, text/plain)
2015-10-20 15:12 EDT, Fredy Neeser
no flags Details

  None (edit)
Description Fredy Neeser 2015-10-20 15:11:53 EDT
Description of problem:
This is the laptop described in Comment 14 of

  https://bugzilla.redhat.com/show_bug.cgi?id=1269004

with LVDS and an external monitor.

Unfortunately, even after the "success" reported in Comment 14, I am now frequently getting crashes of plasma-workspace.x86_64 5.4.2-4.fc22 (obtained from updates-testing) at login, when I do a logout/login cycle, as it occurred for the present crash.  After the crash reported here, the KDE desktop (on the external monitor) recovered nonetheless, without further actions on my part.

The crash of plasma-workspace does not always happen, there seems to be a race condition.  It seems that KDE (again) has difficulties deciding where to put the Primary Display, possibly because the external monitor activates late.

I'm also observing crashes of
- kf5-kactivities [already present with KDE frameworks 5.14]
- kactivitymanagerd [seems to be new]
which may or may not be related to the crashes of plasma-workspace.


Version-Release number of selected component:
plasma-workspace-5.4.2-4.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     3918
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            23629

Truncated backtrace:
Thread no. 1 (1 frames)
 #1 KCrash::defaultCrashHandler(int) at ../../src/kcrash.cpp:418

Potential duplicate: bug 1259472
Comment 1 Fredy Neeser 2015-10-20 15:11:59 EDT
Created attachment 1084879 [details]
File: backtrace
Comment 2 Fredy Neeser 2015-10-20 15:12:01 EDT
Created attachment 1084880 [details]
File: cgroup
Comment 3 Fredy Neeser 2015-10-20 15:12:02 EDT
Created attachment 1084881 [details]
File: core_backtrace
Comment 4 Fredy Neeser 2015-10-20 15:12:04 EDT
Created attachment 1084882 [details]
File: dso_list
Comment 5 Fredy Neeser 2015-10-20 15:12:06 EDT
Created attachment 1084883 [details]
File: environ
Comment 6 Fredy Neeser 2015-10-20 15:12:07 EDT
Created attachment 1084884 [details]
File: limits
Comment 7 Fredy Neeser 2015-10-20 15:12:11 EDT
Created attachment 1084885 [details]
File: maps
Comment 8 Fredy Neeser 2015-10-20 15:12:12 EDT
Created attachment 1084886 [details]
File: mountinfo
Comment 9 Fredy Neeser 2015-10-20 15:12:14 EDT
Created attachment 1084887 [details]
File: namespaces
Comment 10 Fredy Neeser 2015-10-20 15:12:16 EDT
Created attachment 1084888 [details]
File: open_fds
Comment 11 Fredy Neeser 2015-10-20 15:12:17 EDT
Created attachment 1084889 [details]
File: proc_pid_status
Comment 12 Fredy Neeser 2015-10-20 15:12:19 EDT
Created attachment 1084890 [details]
File: var_log_messages
Comment 13 Hubert Kario 2015-11-04 07:49:57 EST
Another user experienced a similar problem:

Happens occasionally when writing name of commands (like wireshark) or soon after starting.

I'm using it on a system with dual head config and Intel GPU (Thinkpad X230)

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/krunner
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/krunner
global_pid:     3941
kernel:         4.2.3-200.fc22.x86_64
package:        plasma-workspace-5.4.2-4.fc22
reason:         krunner killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            20970
Comment 14 Hubert Kario 2015-11-06 10:49:09 EST
Another user experienced a similar problem:

occasionally during work in dual screen configuration

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/krunner
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/krunner
global_pid:     9830
kernel:         4.2.5-201.fc22.x86_64
package:        plasma-workspace-5.4.2-4.fc22
reason:         krunner killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            20970
Comment 15 Oliver Sampson 2015-12-23 12:20:48 EST
Another user experienced a similar problem:

When using Fn-F7 to cycle through the possible screen combinations.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     1673
kernel:         4.2.8-200.fc22.x86_64
package:        plasma-workspace-5.4.3-3.fc22
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Oliver Sampson 2016-01-17 10:42:01 EST
Another user experienced a similar problem:

After adjusting the dual monitor for my laptop by cycling through FN-F7, I selected a program for focus (Thunderbird I think) and the task bar momentarily disappeared. Afterwards the error showed up.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell -s --crashes 1
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     12131
kernel:         4.2.8-200.fc22.x86_64
package:        plasma-workspace-5.5.1-1.fc22
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Oliver Sampson 2016-02-21 08:48:15 EST
Similar problem has been detected:

Software updates notifier popped up notifying me of new updates. I clicked the pop-up, and the error message appeared. I noticed no problems with the behavior of the desktop.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell -s --crashes 1
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     29176
kernel:         4.3.4-200.fc22.x86_64
package:        plasma-workspace-5.5.4-2.fc22
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Oliver Sampson 2016-02-22 10:27:16 EST
Similar problem has been detected:

I inserted a CD to rip, and instead of getting a message from the device notifier, the error occurred.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     1625
kernel:         4.3.4-200.fc22.x86_64
package:        plasma-workspace-5.5.4-2.fc22
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Oliver Sampson 2016-07-07 07:20:41 EDT
Similar problem has been detected:

I clicked on the print icon in the system tray (well after the job had finished) and it opened with a big red X and a message that there were no jobs in the queue. After that the system panel/task bar thing crashed and restarted.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     16455
kernel:         4.4.13-200.fc22.x86_64
package:        plasma-workspace-5.5.5-2.fc22
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Fedora End Of Life 2016-07-19 14:16:52 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 21 Marcus Harrison 2016-09-25 17:06:16 EDT
Similar problem has been detected:

After logging in from a freshly booted system, using the search box in the default Application Launcher causes plasmashell to crash.

This happens most reliably when trying to use the search as described above, but after that whether using the search box will cause another crash or not is more sporadic.

Having looked briefly at the backtrace, it may be worth mentioning that I have had baloo search disabled when these crashes happened. I have enabled baloo search for now to see if it reduces the amount of plasmashell crashes.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell -s --crashes 1
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     2670
kernel:         4.4.14-200.fc22.x86_64
package:        plasma-workspace-5.5.5-2.fc22
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 Rex Dieter 2016-09-25 17:30:07 EDT
<nod>, having baloo search disabled is a less-tested configuration.  May be worth keeping it enabled, except configure it to exclude (all of) $HOME

Note You need to log in before you can comment on or make changes to this bug.